%define qtdir	/usr/lib/qt2

Summary:	A KDE-based printer administration tool for CUPS
Name:		kups
Version:	1.1
Release:	6mdk
Copyright:	GPL
Group:		Publishing

Source:		http://sourceforge.net/projects/cups/%{name}-%{version}.tar.bz2
Patch:          kups-1.1-ippconfig.patch.bz2
Patch1:         kups-1.1-locationaccess.patch.bz2
Patch2:		kups-1.1-SMBResourceWithSpace.patch.bz2
URL:		http://sourceforge.net/projects/cups
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	cups-common >= 1.1 libcups1 >= 1.1 qt2 >= 2.1 kdelibs, libqtcups2 >= 2.1
BuildRequires:	libqtcups2-devel >= 2.1

%package devel
Summary:	Development files for usage of the kupsdconf library
Group:		Development/C
 
%description
A KDE-based frontend for administration of printers running under CUPS
(Common Unix Printing System). One gets a list of all available local
and remote printers, their settings, and their jobs and one can
configure the printers (including head adjustment and colour
calibration for many models), print test pages, kill jobs, install new
printers, and remove undesired ones. The installing of new printers is
done by a wizard which asks for all necessary data and even does
autodetection of the printers.

In addition, there is the "kupsdconf" utility, a KDE based frontend
for setting up all options of the CUPS daemon, defined in
the/etc/cups/cupsd.conf file. So it is easy to choose the users/groups
who are allowed to do printer administration, to restrict
thebroadcasting of printer information to selected machines or
subnets, and so on.

%description devel
This package contains the files needed to compile programs using the
kupsdconf library. This library provides a KDE-based dialog to
configure the options of the CUPS daemon stored in
/etc/cups/cupsd.conf.

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%setup
# Allow the configuration of queues pointing to non-CUPS IPP servers
%patch
# Fix bug of access permissions for locations not being written when 
# "AuthType" is "None"
%patch1
# Fix bug of SMB printer names with spaces not being found when polling
# the available printers on an SMB server
%patch2

touch `find . -type f`
# Clean up "driver/postscript.ppd"
perl -p -i -e 's!\*Manufacturer:.*"Postscript"!\*Manufacturer:  "POSTSCRIPT"!;' driver/postscript.ppd
perl -p -i -e 's!Generic postscript printer!Generic PostScript printer!;' driver/postscript.ppd

%build
# These compiler options are NEEDED otherwise KUPS does not compile
export CXXFLAGS="${CXXFLAGS:-%optflags} -DNO_DEBUG -fno-exceptions -fno-check-new"; ./configure --prefix=%{_prefix} --with-install-root=$RPM_BUILD_ROOT --enable-qt2 --with-qt-dir=/usr/lib/qt2 --disable-qt-debug --disable-rpath; %make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall CUPS_MODEL_DIR=$RPM_BUILD_ROOT'/usr/share/cups/model'
#makeinstall prefix=$RPM_BUILD_ROOT%{_prefix} CUPS_MODEL_DIR=$RPM_BUILD_ROOT'/usr/share/cups/model'

# Move other files into the right place which were wrongly placed by "make
# install"
mv $RPM_BUILD_ROOT%{_datadir}/*.gif $RPM_BUILD_ROOT%{_datadir}/cupsd.conf.template $RPM_BUILD_ROOT%{_datadir}/apps/kups/

# Fix broken link
ln -sf /usr/share/doc/HTML/en/common $RPM_BUILD_ROOT/usr/share/doc/HTML/en/kups/common

# Copy the documentation
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 644 AUTHORS COPYING ChangeLog INSTALL NEWS README TODO $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# Link to CUPS test page to avoid having two equal files
rm -f $RPM_BUILD_ROOT/usr/share/apps/kups/testprint.ps
ln -s /usr/share/cups/data/testprint.ps $RPM_BUILD_ROOT/usr/share/apps/kups/testprint.ps

##menus created
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

cat <<EOF > $RPM_BUILD_ROOT/usr/lib/menu/kups
?package(kups): needs=X11 \
section=Configuration/Printing \
title="KUPS - CUPS Administration" \
longtitle="KUPS - Complete administration suite for CUPS" \
command="/usr/bin/kups" \
icon="/usr/share/icons/locolor/16x16/apps/kups.png"
?package(kups): needs=X11 \
section=Configuration/Printing \
title="Kupsdonf - CUPS Daemon Configurator" \
longtitle="Graphical environment to configure the CUPS daemon" \
command="/usr/bin/kdesu /usr/bin/kupsdconf" \
icon="/usr/share/icons/locolor/16x16/apps/kups.png"
EOF

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%_bindir/*
%_menudir/*
%_datadir/apps/kups
# Do not install "postscript.ppd", this file is moved to the "cups-drivers"
# package
#_datadir/cups/model/*
%doc %_docdir/HTML/en/kups
%doc %_docdir/%name-%version
%_iconsdir/hicolor/22x22/actions/*
%_iconsdir/locolor/16x16/actions/*
%_iconsdir/locolor/16x16/apps/*
%_iconsdir/locolor/32x32/apps/*
%_libdir/libkupsdconf.so.1
%_libdir/libkupsdconf.so.1.0.0
%_datadir/locale/fr/LC_MESSAGES/*

%files devel
%defattr(-,root,root)
%_includedir/*.h
%_libdir/*.la
%_libdir/*.so                                              

%changelog
* Sat Apr  7 2001 Till Kamppeter <till@mandrakesoft.com> 1.1-6mdk
- Moved /usr/share/cups/model/postscript.ppd to the "cups-drivers" package

* Sun Apr  1 2001 Till Kamppeter <till@mandrakesoft.com> 1.1-5mdk
- Fixed bug of access permissions for locations not being written when 
  "AuthType" is "None"
- Fixed bug of SMB printer names with spaces not being found when polling
  the available printers on an SMB server

* Sat Mar 17 2001 Till Kamppeter <till@mandrakesoft.com> 1.1-4mdk
- Made the configuration of queues pointing to non-CUPS IPP servers
  possible (e. g. HP JetDirect boxes, IPP printers, Windows 2000 IPP, ...)

* Sat Mar 10 2001 Till Kamppeter <till@mandrakesoft.com> 1.1-3mdk
- Rebuilt to use Qt 2.3.0

* Fri Feb 23 2001 Till Kamppeter <till@mandrakesoft.com> 1.1-2mdk
- Rebuilt to use libmng.so.1

* Fri Feb 16 2001 Till Kamppeter <till@mandrakesoft.com> 1.1-1mdk
- Updated to version 1.1

* Wed Jan 30 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-3mdk
- Adapted to QtCUPS 2.1

* Sat Jan 27 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-2mdk
- Updated to finally released verion of KUPS 1.0

* Thu Jan 25 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-1mdk
- Updated to version 1.0

* Tue Jan 23 2001 Till Kamppeter <till@mandrakesoft.com> 0.9-6mdk
- Fixed bug of missing files in /usr/share/apps/kups/
- Now printer queues with banner pages can be installed
- Fixed kupsdconf which broke /etc/cups/cupsd.conf when a CUPS configuration
  option had no argument
- Uses QtCUPS 1.2 now
- specfile cleaned up

* Mon Jan 22 2001 Till Kamppeter <till@mandrakesoft.com> 0.9-5mdk
- Fixed bug in the manufacturer/model list behaviour

* Fri Jan 19 2001 Till Kamppeter <till@mandrakesoft.com> 0.9-4mdk
- New KUPS source package: Many bugfixes

* Sun Jan 14 2001 Till Kamppeter <till@mandrakesoft.com> 0.9-3mdk
- New KUPS source package: Instance support, bugfixes

* Sat Jan 13 2001 Till Kamppeter <till@mandrakesoft.com> 0.9-2mdk
- Installed missing program-internal icons seperately
- Fixed "INCLUDES" line in kups/Makefile.in
- Fixed problem of scanning /proc file system for "cupsd" entry when kernel
  2.4.x is used (CUPS daemon could not be restarted on Cooker)
- Use PPD entry "ShortNickName" and not "ModelName" for printer model lists
- Installed "driver/postscript.ppd" and added 1200 dpi and 2400 dpi

* Wed Jan 10 2001 Till Kamppeter <till@mandrakesoft.com> 0.9-1mdk
- Updated to version 0.9

* Thu Dec 21 2000 Till Kamppeter <till@mandrakesoft.com> 0.8-27mdk
- CVS update: small fixes
- Adapted to new cups package

* Mon Dec 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-26mdk
- Rebuild for new kdelibs

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 0.8-25mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Thu Oct 24 2000 David BAUDENS <baudens@mandrakesoft.com> 0.8-24mdk
- BuildRequires: qtcups-devel
- %%update_menus & %%clean_menus
- Remove filelist
- Fix menu

* Tue Oct 17 2000 Till Kamppeter <till@mandrakesoft.com> 0.8-23mdk
- Updated for new kdelibs - KDE 2.0 final!

* Fri Oct 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-22mdk
- Updated for new kdelibs                               

* Mon Oct 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-21mdk
- Updated for new kdelibs - Release Candidate 1

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-20mdk
- Updated for new kdelibs

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-19mdk
- Updated for new kdelibs

* Tue Sep 26 2000 Till Kamppeter <till@mandrakesoft.com> 0.8-18mdk
- CVS update: Now the "ShortNickName" instead of the "ModelName" from the PPD file is shown on the model selection screen

* Tue Sep 26 2000 Till Kamppeter <till@mandrakesoft.com> 0.8-17mdk
- Moved devel files to an extra devel package
- Replaced test page by a link to the CUPS test page
- CVS update: Configuration dialog for /etc/cups/cupsd.conf,
  new layout, support for CUPS-O-MATIC numerical options

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-16mdk
- Updated for new kdelibs

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-15mdk
- Updated for new kdelibs

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-14mdk
- Updated for new kdelibs

* Tue Sep 19 2000 Till Kamppeter <till@mandrakesoft.com> 0.8-13mdk
- Compiled without -fno-rtti (using the keyboard in KUPS made it crashing)

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-12mdk
- Updated for new kdelibs

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-11mdk
- Updated for new kdelibs

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-10mdk
- Updated for new kdelibs

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-9mdk
- Updated for new kdelibs

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-8mdk
- Updated for new kdelibs

* Wed Sep 06 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.8-7mdk
- CVS update:
    - class properties editing

* Tue Sep 05 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.8-6mdk
- CVS update: 
    - new printer properties viewing ("Printer" tab of main window)
    - printer properties editing

* Thu Aug 31 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.8-5mdk
- CVS update: New icons for default printers

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-4mdk
- Updated for new kdelibs

* Tue Aug 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-3mdk
- Updated for new kdelibs

* Sat Aug 26 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.8-2mdk
- Removed hardcoded architecture-specific flags, used macros instead
- CVS update: Confirm dialog on printer removing, new printer/job icons, 
  new context menues, bug fixes

* Fri Aug 25 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.8-1mdk
- initial release
